/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_VIEW_ZOOM_H__
#define __AIR_MEDIAHUB_VIEW_ZOOM_H__

/* view */
#define VIEW_ZOOM "VIEW_ZOOM"

/* group */
#define GRP_ZOOM_VIEW "group.zoom_view"

/* part */
#define PART_ZOOM_CONTENT "part.zoom_content"
#define PART_ZOOM_NAVI "part.zoom_navi"

/* source */
#define SRC_BTN_UP "up"
#define SRC_BTN_DOWN "down"
#define SRC_BTN_LEFT "left"
#define SRC_BTN_RIGHT "right"

/* signal */
#define SIG_SET_FOCUS "set,focus"
#define SIG_SET_UNFOCUS "set,unfocus"

/* image */
#define IMAGE_ZOOM_UP_NORMAL "ic_zoom_indicator_up_nor.png"
#define IMAGE_ZOOM_UP_FOC "ic_zoom_indicator_up_foc.png"
#define IMAGE_ZOOM_DOWN_NORMAL "ic_zoom_indicator_down_nor.png"
#define IMAGE_ZOOM_DOWN_FOC "ic_zoom_indicator_down_foc.png"
#define IMAGE_ZOOM_LEFT_NORMAL "ic_zoom_indicator_left_nor.png"
#define IMAGE_ZOOM_LEFT_FOC "ic_zoom_indicator_left_foc.png"
#define IMAGE_ZOOM_RIGHT_NORMAL "ic_zoom_indicator_right_nor.png"
#define IMAGE_ZOOM_RIGHT_FOC "ic_zoom_indicator_right_foc.png"

#endif
